Subiject: Nel fails to build with --as-needed

Description

Building NeL with cmake fails when using --as-needed:

Scanning dependencies of target nl_sample_command

[ 51%)] Building CXX object samples/misc/command/CMakeFiles/nl_sample_command.dir/main.cpp.o
[ 51%)] Building CXX object src/3d/CMakeFiles/nel3d.dir/mesh_multi_lod.cpp.o

Linking CXX executable ../../../bin/nl_sample_command

./..1..Nib/libnelmisc.s0.0.7.0: undefined reference to “clock_getres'

./..]../ib/libnelmisc.s0.0.7.0: undefined reference to “clock_gettime'

collect2: Id returned 1 exit status

make[2]: *** [bin/nl_sample_command] Error 1

make[1]: *** [samples/misc/command/CMakeFiles/nl_sample_command.dir/all] Error 2

Disabling --as-needed resolves this issue and NeL builds successfully.

History

#1 - 07/16/2010 09:31 am - kervala

Do you know why --as-needed disable -Irt ?

Edit: Please could you retry with last Mercurial version ?

#2 - 07/16/2010 11:53 am - kervala

| succeeded to compile NeL with --as-needed, nl_sample_command is linked successfully with -Irt and is working fine.

Do you still have this problem ?

#3 - 07/16/2010 11:56 am - molator

| succeeded too on Debian.

#4 - 08/07/2010 09:25 am - kervala

| got this same error while using -WI,--as-needed, I'm looking for a workaround.

#5 - 08/07/2010 09:25 am - kervala
- Status changed from New to Validated

#6 - 08/07/2010 11:41 am - kervala

It seems like adding : -WI,--no-as-needed before -Irt fix this

#7 - 09/09/2010 03:57 pm - kervala

- Status changed from Validated to Resolved

- Assignee set to kervala

- Target version set to Version 0.8.0

Seems like that's working better now :)

Please could you try again ?

We added : --as-needed and --no-undefined by default for Linux

#8 - 09/09/2010 03:58 pm - kervala

- % Done changed from 0 to 100

#9 - 09/11/2010 10:37 am - kervala

AllenJB> please could you check again if you still have this error ? Thanks.

#10 - 09/29/2010 10:22 pm - kervala
- Status changed from Resolved to Closed

Files

nel-9999_20100518-154641.log 76.4 kB 05/18/2010 AllendB

nel-9999 20100518-154641.environment.log 112.3 kB 05/18/2010 AllenJB

nel-9999_emerge.info 4.7 kB 05/18/2010 AllenJB
